﻿local L = AceLibrary("AceLocale-2.2"):new("ShamanFriend")

L:RegisterTranslations("koKR", function() return {
	-- Options
	["Options for ShamanFriend"] = "ShamanFriend를 위한 옵션을 설정합니다.",

	["Show UI"] = "UI 표시",
	["Shows the Graphical User Interface"] = "GUI 설정을 표시합니다.",

	["Alerts"] = "경보",
	["Settings for Elemental Shields and Weapon Enchants."] = "기본적인 보호막과 무기 버프 효과을 위한 설정합니다.",
		["Elemental Shield"] = "보호막",
		["Toggle check for Elemental Shield."] = "보호막 체크를 사용합니다.",
		["Earth Shield"] = "대지의 보호막",
		["Toggle Earth Shield tracking on other targets than yourself."] = "자신이 아닌 다른 대상의 대지의 보호막 추적을 전환합니다.",
		["Weapon Enchant"] = "무기 버프",
		["Toggle check for Weapon Enchants."] = "무기 버프 체크를 사용합니다.",
		["After Combat"] = "전투 종료 후",
		["Notify after the end of combat."] = "전투 종료 후 알립니다.",
		--["Enter Combat"] = true,
		--["Notify when entering combat."] = true,
		["No Mounted"] = "승마",
		["Disable notifications when mounted."] = "승마 상태에서는 알리지 않습니다.",
		["Sound"] = "소리",
		["Play a sound when a buff is missing."] = "버프가 사라질 때 소리를 재생합니다.",
			["Ding"] = "Ding",
			["Dong"] = "Dong",
			["Dodo"] = "Dodo",
			["Bell"] = "Bell",
			["None"] = "없음",

		["Display"] = "표시",
		["Settings for how to display the message."] = "메시지 표시 방법을 설정합니다.",
			["Color"] = "색상",
			["Sets the color of the text when displaying messages."] = "메시지를 표시할 글꼴 색상을 설정합니다.",
			["Scroll output"] = "스크롤",
			--["Toggle showing messages in scrolling text. (Settings are in the 'Output Category')"] = true,
			["Toggle showing messages in scrolling text."] = "스크롤 메시지 표시를 사용합니다.",
			["Frames output"] = "프레임",
			--["Toggle whether the message will show up in the frames. (Settings are in the 'General Display' category.)"] = true,
			["Toggle whether the message will show up in the other frames. If disabled, it will only show up in scrolling text. (Includes chat)"] = "다른 프레임에 메시지를 표시합니다. 비 체크시 스크롤 메시지만 표시합니다. (대화창 포함)",
			["Time to display message"] = "메시지 표시 시간",
			["Set the time the message will be displayed (5=default)"] = "메시지를 표시할 시간을 설정합니다. (기본=5)",

	["Spells"] = "주문",
	["Settings regarding different spells."] = "여러가지 주문을 위한 설정을 합니다.",
		["Purge"] = "정화",
		["Toggle Purge information."] = "정화 정보를 사용합니다.",
		["Broadcast Purge"] = "정화 방송",
		["Broadcast Purge message to the following chat. (Above option must be enabled)"] = "대화창에 정화 메시지를 방송합니다. (옵션이 사용으로 되어 있어야 합니다.)",
			["Raid"] = "공격대",
			["Party"] = "파티",
			["Raid Warning"] = "공격대 경보",
		["Earth Shock"] = "대지 충격",
		["Toggle Earth Shock information."] = "대지 충격 정보를 사용합니다.",
		["Broadcast Earth Shock"] = "대지 충격 방송",
		["Broadcast Earth Shock message to the following chat. (Above option must be enabled)"] = "대화창에 대지 충격을 방송합니다. (옵션이 사용으로 되어 있어야 합니다.)",
		["Frost Shock"] = "냉기 충격",
		["Toggle Frost Shock Diminishing Return information."] = "냉기 충격의 시간 감소 정보를 사용합니다.",
		["Grounding Totem"] = "마법정화 토템",
		["Toggle message when Grounding Totem absorbs a spell."] = " 마법정화 토템의 흡수 주문 메시지를 표시합니다.",
		["Broadcast Grounding Totem"] = "마법정화 토템 방송",
		["Broadcast Grounding Totem message to the following chat. (Above option must be enabled)"] = "대화창에 마법정화 토템 메시지를 방송합니다. (옵션이 사용으로 되어 있어야 합니다.)",
		--["Add target"] = true,
		--["Add the target to the end of the message when broadcasting."] = true,
		--["Broadcast Grounding Totem"] = true,
		--["Broadcast Grounding Totem message to the following chat. (Above option must be enabled)"] = true,
		--["Ground self only"] = true,
		--["Only show grounding message for your own Grounding Totem"] = true,
		--["Add target"] = true,
		--["Add the target to the end of the message when broadcasting."] = true,
		--["Bloodlust message"] = true,
		--["Send a message when Bloodlust/Heroism is cast."] = true,
		--["Bloodlust text"] = true,
		--["The text in the message when Bloodlust/Heroism is cast."] = true,
		--["Bloodlust chat"] = true,
		--["Chat for the Bloodlust/Heroism message."] = true,
			--["Yell"] = true,
			--["Say"] = true,
		--["Mana Tide message"] = true,
		--["Send a message when Mana Tide is cast."] = true,
		--["Mana Tide text"] = true,
		--["The text in the message when Mana Tide is cast."] = true,
		--["Mana Tide chat"] = true,
		--["Chat for the Mana Tide message."] = true,
			
	["General Display"] = "일반적 표시",
	["General Display settings and options for the Custom Message Frame."] = "일반적인 표시 설정과 사용자 메시지 프레임을 위한 옵션을 설정합니다.",
		["In Chat"] = "대화 ",
		["Display message in Chat Frame."] = "메시지를 대화창에 표시합니다.",
		["Chat number"] = "대화창 번호",
		["Choose which chat to display the messages in (0=default)."] = "메시지를 출력할 대화창을 선택합니다. (0=기본)",
		["On Screen"] = "오류 창",
		["Display message in Blizzard UI Error Frame."] = "메시지를 기본 UI 오류 창에 표시합니다.",
		["Custom Frame"] = "사용자 창",
		["Display message in Custom Message Frame."] = "메시지를 사용자 창에 표시합니다.",
		["Font Size"] = "글꼴 크기",
		["Set the font size in the Custom Message Frame."] = "사용자 메시지 창의 글꼴 크기를 설정합니다.",
		["Font Face"] = "글꼴체",
		["Set the font face in the Custom Message Frame."] = "사용자 메시지 창의 글꼴체를 설정합니다.",
			["Normal"] = "기본 글꼴",
			["Arial"] = "두꺼운 글꼴",
			["Skurri"] = "데미지 글꼴",
			["Morpheus"] = "퀘스트 글꼴",
		["Font Effect"] = "글꼴 효과",
		["Set the font effect in the Custom Message Frame."] = "사용자 메시지 창의 글꼴 효과를 설정합니다.",
			["OUTLINE"] = "외각선",
			["THICKOUTLINE"] = "두꺼운 외각선",
			["MONOCHROME"] = "단색",
		["Lock"] = "잠금",
		["Toggle locking of the Custom Message Frame."] = "사용자 메시지 창의 위치를 고정시킵니다.",

	["Scroll Options"] = "스크롤 옵션",
	["Set the Display Properties for scrolling text."] = "글꼴 스크롤을 위한 표시를 설정합니다.",
		["Enable"] = "사용",
		["Toggle showing messages in scrolling text."] = "글꼴 스크롤 메시지 표시를 사용합니다.",
		[" Scroll output in 'Output'"] = " '출력' 스크롤",
		--["Font Size"] = true, -- already set
		["Set the font size to use in MSBT."] = "MSBT에 사용될 글꼴의 크기를 설정합니다.",
		--["Font Face"] = true, -- already set
		["Set the font face to use in MSBT."] = "MSBT에 사용될 글꼴체를 설정합니다.",
		["Font Color"] = "글꼴 색상",
		["Set the font color to use in SCT/MSBT."] = "SCT/MSBT에 사용될 글꼴의 색상을 설정합니다.",
		["Scroll text in SCT"] = "SCT 스크롤",
		["Toggle whether the text will scroll in SCT."] = "글꼴을 SCT로 스크롤 합니다.",

	["Windfury"] = "질풍",
	["Settings for Windfury counter."] = "질풍 카운터를 설정합니다.",
		["Enable"] = "사용",
		["Enable WF hit counter."] = "질풍 합계 카운터를 사용합니다.",
		["Crit"] = "치명타",
		["Enable display of WF crits."] = "질풍 치명타 표시를 사용합니다.",
		["Miss"] = "피함",
		["Enable display of WF misses."] = "질풍 피함 표시를 사용합니다.",
		--["Hand"] = true,
		--["Show which hand the proc comes from"] = true,

	["Lightning Overload"] = "넘치는 정기",
	["Settings for Lightning Overload."] = "넘치는 정기를 위한 설정을 합니다.",
		["Toggle whether to show a message when Lightning Overload procs."] = "넘치는 정기 발동시 메시지를 표시를 전환합니다.",
		["Use alternative method"] = "대체 방법 사용",
		["Uses an alternative method to detect LO procs. (Works better in raids, but can be delayed, and damage will probably break)"] = "넘치는 정기 발동을 탐지하기 위해 대체 방법을 사용합니다. (공격대시 잘 작동하지만 늦어질 수 있습니다. 그리고 손상시킨 피해가 정확하지 않을 수 있습니다.)",
		["Damage"] = "피해",
		["Enable display of Lightning Overload total damage."] = "넘치는 정기의 전체 피해 표시를 사용합니다.",
		["Enable display of Lightning Overload crits."] = "넘치는 정기 치명상 피해 표시를 사용합니다.",
		["No Lightning Capacitator"] = "번개 축전기 없음",
		["Attempt to remove procs coming from the Lightning Capacitator trinket. (Does not always work, and can cause the damage from dual procs to be a bit off)"] = "번개 축전기의 장신구 발동을 제거합니다. (이중 발동으로 인한 피해를 방지합니다.)",
	
	--["Totems"] = true,
	--["Settings for Totems."] = true,
		--["Warn on kill"] = true,
		--["Shows a message whenether one of your totems are killed."] = true,
		--["Broadcast on kill"] = true,
		--["Broadcast to the following chat when one of your totems are killed. (Above option must be enabled)"] = true,
	
	["Miscellaneous"] = "기타",
	["Various other small notices/usefull functions."] = "다양한 작은 통지/유용한 기능을 알려줍니다.",
		["Elemental T5 2-piece bonus"] = "T5 2-세트 보너스 효과(기본)",
		["Show a message when you get the proc from the Elemental Tier5 2-piece bonus"] = "5단계 방어구 2세트의 기본적인 보너스 반응을 얻을 때 메시지를 표시합니다.",
		["Enhancement T5 2-piece bonus"] = "T5 2-세트 보너스 효과(향상)",
		["Show a message when you get the proc from the Enhancement Tier5 2-piece bonus"] = "5단계 방어구 2세트의 향상된 보너스 반응을 얻을 때 메시지를 표시합니다.",
		["Restoration T5 4-piece bonus"] = "T5 4-세트 보너스 효과(회복)",
		["Show a message when you get the proc from the Restoration Tier5 4-piece bonus"] = "5단계 방어구 4세트의 회복 보너스 반응을 얻을 때 메시지를 표시합니다.",

	-- More
	["Lightning Shield"] = "번개 보호막",
	["Water Shield"] = "물의 보호막",
	["Earth Shield"] = "대지의 보호막",
	[" faded"] = " 사라짐",
	["Main Hand Enchant faded"] = "주무기 버프 효과 사라짐",
	["Off Hand Enchant faded"] = "보조무기 버프 효과 사라짐",
	["Your Earth Shield faded from %s"] = "%s의 몸에서 대지의 보호막 효과 사라짐",
	--["Weapon Enchant faded"] = true,
	
	["Frost Shock"] = "냉기 충격",
	["Interrupted: %s"] = "주문 차단: %s",
	--["Killed: "] = true,

	["Windfury Attack"] = "질풍의 공격",
	--["Bloodlust"] = true,
	--["Heroism"] = true,
	--["Mana Tide Totem"] = true,
	
	-- LO
	["Lightning Bolt"] = "번개 화살",
	["Chain Lightning"] = "연쇄 번개",
	["Lightning Overload"] = "넘치는 정기",
	["DOUBLE Lightning Overload"] = "이중 넘치는 정기",
	[" CRIT"] = " 치명타",
	[" DOUBLE CRIT"] = " 이중 치명타",
	["Electrical Charge"] = "전하 충전",
	--["Chain Lightning Overload"]
	--["DOUBLE Chain Lightning Overload"] = true,
	--["TRIPLE Chain Lightning Overload"] = true,

	-- WF
	["Windfury"] = "질풍",
	["Windfury: "] = "질풍: ",
	["Windfury Single crit: "] = "첫번째 질풍 치명타: ",
	["Windfury DOUBLE crit: "] = "두번째 질풍 치명타: ",
	["Windfury TRIPLE crit: "] = "세번째 질풍 치명타: ",
	[" miss)"] =" 피함)",
	--["MH Windfury"] = true,
	--["OH Windfury"] = true,
	--[" Single crit: "] = true,
	--[" DOUBLE crit: "] = true,
	--[" TRIPLE crit: "] = true,
	--[" QUADRUPLE crit: "] = true,
	--[" miss"] = true,

	-- Purge
	["Purge"] = "정화",
	["Purge: "] = "정화: ",

	-- Grounding Totem
	["Grounding Totem"] = "마법정화 토템",
	["Ground: " ] = "마법정화: ",

	-- Cooldowns
	["Elemental Mastery"] = "정기의 깨달음",
	["Mana Tide Totem"] = "마나 해일 토템",
	["Bloodlust"] = "피의 욕망",
	["Windfury"] = "질풍",
	["Nature's Swiftness"] = "자연의 신속함",
	["Reincarnation"] = "윤회",
	["Chain Lightning"] = "연쇄 번개",
	["Shocks"] = "충격",
	["Fire Elemental Totem"] = "불의 정령 토템",
	["Earth Elemental Totem"] = "대지의 정령 토템",
	["Grounding Totem"] = "마법정화 토템",
	["Eartbind Totem"] = "속박의 토템",
	["Stoneclaw Totem"] = "돌발톱 토템",
	["Fire Nova Totem"] = "불꽃 회오리 토템",
	["Astral Recall"] = "영혼의 귀환",
	["Healthstone"] = "생명석",
	["Potions"] = "물약",
	["Stormstrike"] = "폭풍의 일격",


	-- Missing
	["Missing: Elemental Shield"] = "사라짐: 보호막",
	["Missing: Main Hand Enchant"] = "사라짐: 주무기 버프",
	["Missing: Off Hand Enchant"] = "사라짐: 보조무기 버프",

	-- Frost Shock
	["FS DR: 4 sec"] = "냉기충격 남음: 4 초",
	["FS DR: 2 sec"] = "냉기충격 남음: 2 초",
	["FS DR: Immune"] = "냉기충격: 면역",
	["FS DR has passed"] = "냉기충격 지나감",

	-- T5 2-piece set bonus
	["Charged"] = "충전됨",
	["Invigorated"] = "고무",
	["Gained set bonus"] = "세트 보너스 효과 얻음",
	["Wave Trance"] = "무아지경의 물결",
	
	-- Earth Shield frame
	--["Charges: "] = true,
	--["Target: "] = true,
	--["Time: "] = true,
	--["Outside group"] = true,
	--[" min"] = true,
	--["Shaman Friend ES Tracker"] = true,

	-- Font Face
	["FRIZQT__.TTF"] = "2002.TTF",
	["ARIALN.TTF"] = "2002b.TTF",
	["skurri.ttf"] = "K_Damage.TTF",
	["MORPHEUS.ttf"] = "K_Pagetext.TTF",
	}
end)